Bug 1287470 - let rsyslog & syslog-ng play nice together: sync /etc/logrotate.d/syslog
let rsyslog & syslog-ng play nice together: sync /etc/logrotate.d/syslog
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rsyslog (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jiří Vymazal
BaseOS QE Security Team
:
Depends On: 1269244
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 02:46 EST by Martin Frodl
Modified: 2017-02-03 04:51 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1269244
Environment:
Last Closed: 2017-02-03 04:51:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (655 bytes, patch)
2017-01-10 08:56 EST, Jiří Vymazal
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1287469 None None None Never

  None (edit)
Description Martin Frodl 2015-12-02 02:46:45 EST
Same issue encountered when upgrading to rsyslog-7.4.7-12.el7.x86_64 with syslog-ng-3.5.6-1.el7.x86_64 installed.

+++ This bug was initially created as a clone of Bug #1269244 +++

Description of problem:

syslog-ng and rsyslog both wants to install the file:
  /etc/logrotate.d/syslog

To be able to have both excellent loggers installed at the same time
this file must be identical.

Attached is a patch to change /etc/logrotate.d/syslog such that syslog-ng
also can use the file unmodified.

A followup report is sent to syslog-ng package to sync with the new version of the file.

Setup has been tested, install both rsyslog and syslog-ng is now possible, make
it very easy to switch between loggers as users may want. 
Logrotate works as before.

Please apply attached patch.
Comment 2 Jiří Vymazal 2017-01-10 08:56 EST
Created attachment 1239116 [details]
proposed patch
Comment 3 Jiří Vymazal 2017-01-10 08:57:31 EST
attached patch renames conflicting file (in the end name is not significant as main logrotate conf includes all files in /etc/logrotate.d/ ) this way concurrent existence with other syslog packages possible

Note You need to log in before you can comment on or make changes to this bug.